## org.apache.cassandra.net
Interface IAsyncCallback

All Known Implementing Classes:
  QuorumResponseHandler, WriteResponseHandler

    public interface IAsyncCallback

implementors of IAsyncCallback need to make sure that any public methods are threadsafe with respect to response() being called from the message service. In particular, if any shared state is referenced, making response alone synchronized will not suffice.

Method Summary
`void` `response(Message msg)`

Method Detail

### response

    void response(Message msg)

  Parameters:
    `msg` - response received.

Copyright © 2010 The Apache Software Foundation